UnknownEventException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.dsmcc
Class UnknownEventException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.dvb.dsmcc.DSMCCException
                      org.dvb.dsmcc.UnknownEventException

All Implemented Interfaces:
  Serializable

    public class UnknownEventException

extends DSMCCException

The `UnknownEventException` is thrown when a method tries to access to an unknown event. This exception may get thrown because the event in question is not being signalled yet. It does not indicate that the event is permanently unavailable. Applications may choose to attempt to subscribe to the event again at a later point in time in the expectation that the event has become available since the previous attempt.

See Also:
  Serialized Form

Constructor Summary
`UnknownEventException()` Construct an UnknownEventException with no detail message
`UnknownEventException(String s)` Construct an UnknownEventException with the specified detail message

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownEventException

    public UnknownEventException()

  Construct an UnknownEventException with no detail message

### UnknownEventException

    public UnknownEventException(String s)

  Construct an UnknownEventException with the specified detail message

  Parameters:
    `s` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD